package com.bocloud.ims.service.upgrade;

import java.util.List;

/**
 * 系统升级任务
 * @author luyanchao
 * @date 2021-06-08
 */
public interface UpgradeTask extends Runnable {

    /**
     * 当前任务所属的版本
     * @return 所属版本
     */
    UpgradeVersion getUpgradeVersion();

    /**
     * 当前任务需要在哪些任务执行成功后才能执行
     * @return 当前任务依赖的任务列表
     */
    List<UpgradeTask> getDependOnTasks();

}
